package edu.mermet.tp8;

public class UserLevel {
	private double level = 1;
	
	public UserLevel(String level) {
		try {
			setLevel(Double.parseDouble(level));
		} catch(NumberFormatException e) {
			System.out.println("Mauvais format pour un double, le niveau est mis à 1");
			setLevel(1);
		}
	}
	
	public UserLevel(double level) {
		setLevel(level);
	}
	
	public double getLevel() {
		return level;
	}
	
	public void setLevel(double level) {
		this.level = level;
	}
	
	public void add(double toLevel) {
		setLevel(toLevel+getLevel());
	}
	
	@Override
	public String toString() {
		return Double.toString(level);
	}
}
